﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using Protocols;
using ProtoBuf;
using Protocols.gm;

namespace Event
{
    public interface IEventBase
    {
        int Id
        {
            get;
        }
    }

    /// <summary>
    /// event id
    /// </summary>
    public class EventId
    {
        public static int EVENTID_BEGIN = 0;

        public static int EventRoleOnline = 1001;
    }

    /// <summary>
    /// PlayerLogin
    /// </summary>

    [ProtoContract]
    public class EventRoleOnline : IEventBase
    {
        public int Id
        {
            get
            {
                return EventId.EventRoleOnline;
            }
        }

        //accountId
        [ProtoMember(1)]
        public ulong accountId
        {
            get;
            set;
        }


        //Level
        [ProtoMember(2)]
        public string clientIp
        {
            get;
            set;
        }

        [ProtoMember(3)]
        public UInt64 roomUuid
        {
            get;
            set;
        }

        public EventRoleOnline()
        {
        }
    }

}
